package frc.robot.subsystems;

import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj.motorcontrol.VictorSP;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.constants.FlipperConstants;

public class Flipper extends SubsystemBase{
    
    //creates instanced variables//
    private VictorSP motor1;
    
    private DigitalInput hasFrisbee;


    public Flipper() {
        //creates instances of all our hardware//
        motor1 = new VictorSP(FlipperConstants.kFlipperPWM);

        hasFrisbee = new DigitalInput(FlipperConstants.kFlipperPhotoSwitch);
    }

    //a method that returns the state of hasFrisbee//
    public boolean getHasFrisbee() {
        return hasFrisbee.get();
    }

    //commands that start and stop our flipper. will only start if the photo switch detects a frisbee//
    public Command runFlipper() {
        return run(() -> {
            if (getHasFrisbee()) {
                motor1.set(1);
            }
            else {
                motor1.set(0);
            }
        });
    }

    public Command stopFlipper(){
        return run(() -> {
            motor1.set(0);
        });
    }
}